ClassPath.ClassInfo
Date: 2016-05-24

com.google.common.reflect

## Class ClassPath.ClassInfo

- java.lang.Object
- - com.google.common.reflect.ClassPath.ResourceInfo
  - - com.google.common.reflect.ClassPath.ClassInfo

- Enclosing class:
    ClassPath

      @Beta
      public static final class ClassPath.ClassInfo
      extends ClassPath.ResourceInfo

  Represents a class that can be loaded through `load()`.
  Since:
    14.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the fully qualified name of the class.
    `java.lang.String` | `getPackageName()` Returns the package name of the class, without attempting to load the class.
    `java.lang.String` | `getSimpleName()` Returns the simple name of the underlying class as given in the source code.
    `java.lang.Class<?>` | `load()` Loads (but doesn't link or initialize) the class.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.google.common.reflect.ClassPath.ResourceInfo

      `equals, getResourceName, hashCode, url`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPackageName

          public java.lang.String getPackageName()

      Returns the package name of the class, without attempting to load the class.

      Behaves identically to `Package.getName()` but does not require the class (or package) to be loaded.

    - #### getSimpleName

          public java.lang.String getSimpleName()

      Returns the simple name of the underlying class as given in the source code.

      Behaves identically to `Class.getSimpleName()` but does not require the class to be loaded.

    - #### getName

          public java.lang.String getName()

      Returns the fully qualified name of the class.

      Behaves identically to `Class.getName()` but does not require the class to be loaded.

    - #### load

          public java.lang.Class<?> load()

      Loads (but doesn't link or initialize) the class.
      Throws:
        `java.lang.LinkageError` - when there were errors in loading classes that this class depends on. For example, `NoClassDefFoundError`.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ClassPath.ResourceInfo`